///////////////////////////////////////////////////////////////////
///////   Teal'c Vertex Lit shader for Q3map2 (ydnar)   ///////////
///////Based on a lightmapped shader and a forum cutting///////////
/////// http://www.splashdamage.com/forums/viewforum.php?f=8///////
///////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////
///RTCW Texture Shader///
/////////////////////////

textures/borked/ch_terra1_base
{ 
	q3map_shadeangle 180
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 ) // sets texture coordinates 
	q3map_tcMod rotate 33 // rotates them a little to make it look good 
	surfaceparm pointlight // sets no lightmap (vertex lighting only) 
} 

textures/borked/ch_terra1_0
{ 
	// this line tells q3map2 to use the above shader as a 'base' for this shader 
	// so it inherits all the texturing/lighting settings of it 

	q3map_baseshader textures/borked/ch_terra1_base 

	{ 
	map textures/stone/mxsand1.tga

	rgbGen vertex 
	// note: there's no tcMod scale, as the texture coordinates are 
	// already pre-set by q3map, for faster in-game rendering 
	} 
} 

textures/borked/ch_terra1_1 
{ 
	q3map_baseshader textures/borked/ch_terra1_base 

	{ 
		map textures/stone/mxsand2.tga 
		rgbGen vertex 
	} 
} 

textures/borked/ch_terra1_2 
{ 
	q3map_baseshader textures/borked/ch_terra1_base 

	{ 
	map textures/stone/mxsand4.tga 
	rgbGen vertex 
	} 
} 

textures/borked/ch_terra1_3 
{ 
	q3map_baseshader textures/borked/ch_terra1_base 

	{ 
	map textures/stone/mxrock4ca.tga 
	rgbGen vertex 
	} 
} 

textures/borked/ch_terra1_4 
{ 
	q3map_baseshader textures/borked/ch_terra1_base 

	{ 
	map textures/stone/mxrock3g.tga 
	rgbGen vertex 
	} 
} 


textures/borked/ch_terra1_0to1 
{ 
	q3map_baseshader textures/borked/ch_terra1_base 

	{ 
	map textures/stone/mxsand1.tga 
	rgbGen vertex 
	} 
	{ 
	map textures/stone/mxsand2.tga 
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	rgbGen vertex 
	// note: rgbGen vertex implies alphaGen vertex automatically 
	} 
} 

textures/borked/ch_terra1_0to2 
	{ 
	q3map_baseshader textures/borked/ch_terra1_base 

	{ 
	map textures/stone/mxsand1.tga 
	rgbGen vertex 
	} 
	{ 
	map textures/stone/mxsand4.tga 
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	rgbGen vertex 
	} 
} 

textures/borked/ch_terra1_0to3 
{ 
	q3map_baseshader textures/borked/ch_terra1_base 

	{ 
	map textures/stone/mxsand1.tga 
	rgbGen vertex 
	} 
	{ 
	map textures/stone/mxrock4ca.tga 
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	rgbGen vertex 
	} 
} 
textures/borked/ch_terra1_0to4
{ 
	q3map_baseshader textures/borked/ch_terra1_base 

	{ 
	map textures/stone/mxsand1.tga
	rgbGen vertex 
	} 
	{ 
	map textures/stone/mxrock3g.tga 
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	rgbGen vertex 
	} 



}
textures/borked/ch_terra1_1to2 
{ 
	q3map_baseshader textures/borked/ch_terra1_base 

	{ 
	map textures/stone/mxsand2.tga 
	rgbGen vertex 
	} 
	{ 
	map textures/stone/mxsand4.tga 
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	rgbGen vertex 
	} 
} 


textures/borked/ch_terra1_1to3 
{ 
	q3map_baseshader textures/borked/ch_terra1_base 

	{ 
	map textures/stone/mxsand2.tga 
	rgbGen vertex 
	} 
	{ 
	map textures/stone/mxrock4ca.tga 
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	rgbGen vertex 
	} 
} 

textures/borked/ch_terra1_1to4 
{ 
	q3map_baseshader textures/borked/ch_terra1_base 

	{ 
	map textures/stone/mxsand2.tga 
	rgbGen vertex 
	} 
	{ 
	map textures/stone/mxrock3g.tga 
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	rgbGen vertex 
	} 
} 

textures/borked/ch_terra1_2to3 
{ 
	q3map_baseshader textures/borked/ch_terra1_base 

	{ 
	map textures/stone/mxsand4.tga 
	rgbGen vertex 
	} 
	{ 
	map textures/stone/mxrock4ca.tga 
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	rgbGen vertex 
	} 
} 

textures/borked/ch_terra1_2to4 
{ 
	q3map_baseshader textures/borked/ch_terra1_base 

	{ 
	map textures/stone/mxsand4.tga 
	rgbGen vertex 
	} 
	{ 
	map textures/stone/mxrock3g.tga 
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	rgbGen vertex 
	} 
} 

textures/borked/ch_terra1_3to4 
{ 
	q3map_baseshader textures/borked/ch_terra1_base 

	{ 
	map textures/stone/mxrock4ca.tga 
	rgbGen vertex 
	} 
	{ 
	map textures/stone/mxrock3g.tga 
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	rgbGen vertex 
	} 
} 

textures/borked/vxch_terra1 
{ 
	q3map_baseshader textures/borked/ch_terra1_base 

	{ 
	map textures/stone/mxsand1.tga 
	rgbGen vertex 
	} 
}
///////////////////////end//////////////////////////////